Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/build/index.asset.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/build/index.asset.php	(revision 11158)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/build/index.asset.php	(revision 11159)
@@ -1,1 +1,1 @@
-<?php return array('dependencies' => array('lodash', 'react', 'wp-a11y', 'wp-api-fetch', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-data-controls', 'wp-element', 'wp-html-entities', 'wp-i18n', 'wp-keycodes', 'wp-polyfill', 'wp-primitives', 'wp-url'), 'version' => '66df32f34ea854048079c4fe8631deed');
+<?php return array('dependencies' => array('lodash', 'react', 'wp-a11y', 'wp-api-fetch', 'wp-components', 'wp-compose', 'wp-core-data', 'wp-data', 'wp-data-controls', 'wp-element', 'wp-html-entities', 'wp-i18n', 'wp-keycodes', 'wp-polyfill', 'wp-primitives', 'wp-url'), 'version' => '8bc03fb093ba7a565624f18e6f7c0a63');
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/functions.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/functions.php	(revision 11158)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/functions.php	(revision 11159)
@@ -16,5 +16,5 @@
 
 add_filter( 'archive_template', __NAMESPACE__ . '\use_index_php_as_template' );
-add_action( 'template_redirect', __NAMESPACE__ . '\rewrite_search_url' );
+add_action( 'template_redirect', __NAMESPACE__ . '\rewrite_urls' );
 
 /**
@@ -99,4 +99,5 @@
 					'site' => esc_url( home_url() ),
 					'login' => esc_url( wp_login_url() ),
+					'register' => esc_url( wp_registration_url() ),
 				) ) ),
 			),
@@ -178,5 +179,5 @@
 	if ( $pagename ) {
 		list( $_pagename ) = explode( '/', $pagename );
-		if ( in_array( $_pagename, array( 'my-patterns', 'my-favorites' ) ) ) {
+		if ( in_array( $_pagename, array( 'my-patterns', 'favorites' ) ) ) {
 			// Need to get the page ID because this is set before `pre_get_posts` fires.
 			$page = get_page_by_path( $_pagename );
@@ -206,5 +207,5 @@
 function add_rewrite() {
 	add_rewrite_rule( '^my-patterns/[^/]+/?$', 'index.php?pagename=my-patterns', 'top' );
-	add_rewrite_rule( '^my-favorites/.+/?$', 'index.php?pagename=my-favorites', 'top' );
+	add_rewrite_rule( '^favorites/.+/?$', 'index.php?pagename=favorites', 'top' );
 }
 
@@ -256,11 +257,18 @@
 
 /**
- * Rewrites the search url from s={keyword} to /search/{keyword}.
+ * Set up redirects for the site.
  *
  * @return void
  */
-function rewrite_search_url() {
+function rewrite_urls() {
+	// Redirect searches to `/search/term`.
 	if ( is_search() && ! empty( $_GET['s'] ) ) {
 		wp_redirect( home_url( '/search/' ) . urlencode( trim( get_query_var( 's' ) ) ) . '/' );
+		exit();
+	}
+	// Redirect old slug `my-favorites` to `favorites`, see WordPress/pattern-directory#332.
+	$path = str_replace( 'patterns/', '', trim( $_SERVER['REQUEST_URI'], '/' ) );
+	if ( preg_match( '/^my-favorites(.*)/', $path, $matches ) ) {
+		wp_redirect( home_url( '/favorites/' . $matches[1] . '/' ) );
 		exit();
 	}
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/header.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/header.php	(revision 11158)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/header.php	(revision 11159)
@@ -33,5 +33,5 @@
 						<p class="site-description"><?php esc_html_e( 'Add a beautifully designed, ready to go layout to any WordPress site with a simple copy/paste.', 'wporg-patterns' ); ?></p>
 						<?php get_search_form(); ?>
-						<a class="site-link" href="<?php echo esc_url( home_url( '/my-favorites' ) ); ?>"><?php esc_html_e( 'My favorites', 'wporg-patterns' ); ?></a>
+						<a class="site-link" href="<?php echo esc_url( home_url( '/favorites' ) ); ?>"><?php esc_html_e( 'Favorites', 'wporg-patterns' ); ?></a>
 					</div>
 				<?php else : ?>
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/page-favorites.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/page-favorites.php	(revision 11159)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/page-favorites.php	(revision 11159)
@@ -0,0 +1,24 @@
+<?php
+/**
+ * The template for displaying My Patterns.
+ *
+ * @package WordPressdotorg\Pattern_Directory\Theme
+ */
+
+namespace WordPressdotorg\Pattern_Directory\Theme;
+
+get_header();
+?>
+
+<main id="main" class="site-main" role="main">
+
+	<header class="entry-header">
+		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
+	</header><!-- .entry-header -->
+
+	<div id="pattern-favorites__container"></div>
+
+</main><!-- #main -->
+
+<?php
+get_footer();
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/searchform.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/searchform.php	(revision 11158)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/searchform.php	(revision 11159)
@@ -23,6 +23,5 @@
 			<?php esc_html_e( 'Search', 'wporg-patterns' ); ?>
 		</span>
-		<i class="dashicons dashicons-search"></i>
-	
+		<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24" role="img" aria-hidden="true" focusable="false"><path d="M13.5 6C10.5 6 8 8.5 8 11.5c0 1.1.3 2.1.9 3l-3.4 3 1 1.1 3.4-2.9c1 .9 2.2 1.4 3.6 1.4 3 0 5.5-2.5 5.5-5.5C19 8.5 16.5 6 13.5 6zm0 9.5c-2.2 0-4-1.8-4-4s1.8-4 4-4 4 1.8 4 4-1.8 4-4 4z"></path></svg>	
 	</button>
 </form>
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/context-bar/index.js
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/context-bar/index.js	(revision 11158)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/context-bar/index.js	(revision 11159)
@@ -20,12 +20,31 @@
 
 /**
- * This checks to see if the query is only being sorted.
+ * Check if the query is just the "home" query, and doesn't need a message.
+ *
+ * If the query has no properties, or only "orderby", it is considered a "home" query.
  *
  * @param {Object} query
- * @param {string} query.orderby Sorting key, used to determine if there is sorting.
- * @return {boolean} Set to true if the object is empty with a only sorting parameter.
+ * @return {boolean}
  */
-const isOnlySorting = ( query ) => {
-	return Object.keys( query ).length === 1 && query.orderby;
+const isHomeQuery = ( query ) => {
+	const keys = Object.keys( query || {} );
+	if ( ! keys.length ) {
+		return true;
+	}
+	return keys.length === 1 && keys[ 0 ] === 'orderby';
+};
+
+/**
+ * Check if the query is a valid query.
+ *
+ * @param {Object} query
+ * @return {boolean}
+ */
+const isQueryValid = ( query = {} ) => {
+	// If there is an "include", it should have items.
+	if ( query.hasOwnProperty( 'include' ) ) {
+		return query.include.length > 0;
+	}
+	return true;
 };
 
@@ -58,5 +77,5 @@
 	useDeepCompareEffect( () => {
 		// Show the loading message
-		if ( isLoadingPatterns ) {
+		if ( isQueryValid( query ) && isLoadingPatterns ) {
 			setMessage( getLoadingMessage( { category: category?.name, author: author } ) );
 			return;
@@ -64,5 +83,5 @@
 
 		// We don't show a message when the query is empty.
-		if ( ( query && ! Object.keys( query ).length ) || isOnlySorting( query ) ) {
+		if ( isHomeQuery( query ) ) {
 			setMessage( '' );
 			return;
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/my-favorites/empty-header.js
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/my-favorites/empty-header.js	(revision 11158)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/my-favorites/empty-header.js	(revision 11159)
@@ -3,21 +3,38 @@
  */
 import { __ } from '@wordpress/i18n';
-import { createInterpolateElement } from '@wordpress/element';
+import { addQueryArgs } from '@wordpress/url';
 
-function EmptyHeader() {
-	return (
-		<div className="pattern-grid__empty-header">
-			<h2>{ __( 'No favorites here', 'wporg-patterns' ) }</h2>
+function EmptyHeader( { isLoggedIn } ) {
+	const loginUrl = addQueryArgs( wporgPatternsUrl.login, { redirect_to: window.location } );
+	const registerUrl = addQueryArgs( wporgPatternsUrl.register, { redirect_to: window.location } );
+
+	return isLoggedIn ? (
+		<div className="pattern-grid__empty-header pattern-favorites__empty-header">
+			<h2>{ __( 'Collect and view your favorite patterns.', 'wporg-patterns' ) }</h2>
 			<p>
-				{ createInterpolateElement(
-					__(
-						'You haven’t favorited any patterns yet. Take a look at the <a>block patterns</a> to find some you like, and click the heart to save them.',
-						'wporg-patterns'
-					),
-					{
-						// eslint-disable-next-line jsx-a11y/anchor-has-content -- Content interpolated above.
-						a: <a href={ wporgPatternsUrl.site } />,
-					}
+				{ __(
+					'Tap the heart on any pattern to make it as a favorite. All your favorite patterns will appear here.',
+					'wporg-patterns'
 				) }
+			</p>
+		</div>
+	) : (
+		<div className="pattern-grid__empty-header pattern-favorites__empty-header">
+			<h2>{ __( 'Collect and view your favorite patterns.', 'wporg-patterns' ) }</h2>
+			<p>
+				{ __(
+					'Log in to your WordPress.org account and you’ll be able to see all your favorite patterns in one place.',
+					'wporg-patterns'
+				) }
+			</p>
+			<p>
+				<a className="button button-primary button-large" href={ loginUrl }>
+					{ __( 'Log in', 'wporg-patterns' ) }
+				</a>
+			</p>
+			<p>
+				<a className="button-link link-create-account" href={ registerUrl }>
+					{ __( 'Create an account', 'wporg-patterns' ) }
+				</a>
 			</p>
 		</div>
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/my-favorites/index.js
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/my-favorites/index.js	(revision 11158)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/components/my-favorites/index.js	(revision 11159)
@@ -3,5 +3,4 @@
  */
 import { __ } from '@wordpress/i18n';
-import { addQueryArgs } from '@wordpress/url';
 import { store as patternStore } from '../../store';
 import { useSelect } from '@wordpress/data';
@@ -43,29 +42,35 @@
 	} );
 
-	const isLoggedIn = !! wporgPatternsData.userId;
-
-	if ( ! isLoggedIn ) {
-		const loginUrl = addQueryArgs( wporgPatternsUrl.login, { redirect_to: window.location } );
-		return (
-			<div className="entry-content">
-				<p>{ __( 'Please log in to view your favorite patterns.', 'wporg-patterns' ) }</p>
-				<a className="button button-primary" href={ loginUrl }>
-					{ __( 'Log in', 'wporg-patterns' ) }
-				</a>
-			</div>
-		);
+	const mostFavoritedQuery = { orderby: 'favorite_count', per_page: 6 };
+	if ( query[ 'pattern-categories' ] ) {
+		mostFavoritedQuery[ 'pattern-categories' ] = query[ 'pattern-categories' ];
 	}
 
-	if ( isEmpty ) {
-		return <EmptyHeader />;
-	}
+	const isLoggedIn = !! wporgPatternsData.userId;
 
 	return (
 		<RouteProvider>
 			<QueryMonitor />
-			<PatternGridMenu basePath="/my-favorites/" query={ query } />
-			<PatternGrid query={ query }>
-				{ ( post ) => <PatternThumbnail key={ post.id } pattern={ post } showAvatar /> }
-			</PatternGrid>
+			{ isLoggedIn && <PatternGridMenu basePath="/favorites/" query={ query } /> }
+			{ ! isLoggedIn || isEmpty ? (
+				<>
+					<EmptyHeader isLoggedIn={ isLoggedIn } />
+					<PatternGrid
+						header={
+							<h2 className="pattern-favorites__grid-title">
+								{ __( 'Here’s a few of our favorite patterns', 'wporg-patterns' ) }
+							</h2>
+						}
+						query={ mostFavoritedQuery }
+						showPagination={ false }
+					>
+						{ ( post ) => <PatternThumbnail key={ post.id } pattern={ post } showAvatar /> }
+					</PatternGrid>
+				</>
+			) : (
+				<PatternGrid query={ query }>
+					{ ( post ) => <PatternThumbnail key={ post.id } pattern={ post } showAvatar /> }
+				</PatternGrid>
+			) }
 		</RouteProvider>
 	);
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/index.js
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/index.js	(revision 11158)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-patterns/src/index.js	(revision 11159)
@@ -26,5 +26,5 @@
 
 // Load the preview into any awaiting preview container.
-const myFavsGridContainer = document.getElementById( 'my-favorites__container' );
+const myFavsGridContainer = document.getElementById( 'pattern-favorites__container' );
 if ( myFavsGridContainer ) {
 	render( <MyFavorites />, myFavsGridContainer );
